Package org.jbpm.services.api.model

## Interface UserTaskDefinition

- All Known Implementing Classes:
    `UserTaskDefinitionImpl`

      public interface UserTaskDefinition

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<String>` | `getAssociatedEntities()` | Returns the user task definition associated entities.
    `String` | `getComment()` | Returns the user task definition comment.
    `String` | `getCreatedBy()` | Returns the user task created by.
    `String` | `getFormName()` | Returns the user task definition form name.
    `String` | `getId()` | Returns the user task definition id.
    `String` | `getName()` | Returns the user task definition name.
    `Integer` | `getPriority()` | Returns the user task definition priority.
    `Map<String,​String>` | `getTaskInputMappings()` | Returns the user task definition task input mappings.
    `Map<String,​String>` | `getTaskOutputMappings()` | Returns the user task definition task output mappings.
    `boolean` | `isSkippable()` | Returns the user task skippable.

- - ### Method Detail

    - #### getId

          String getId()

      Returns the user task definition id.
      Returns:
        id

    - #### getName

          String getName()

      Returns the user task definition name.
      Returns:
        name

    - #### getPriority

          Integer getPriority()

      Returns the user task definition priority.
      Returns:
        priority

    - #### getComment

          String getComment()

      Returns the user task definition comment.
      Returns:
        comment

    - #### getCreatedBy

          String getCreatedBy()

      Returns the user task created by.
      Returns:
        created by

    - #### isSkippable

          boolean isSkippable()

      Returns the user task skippable.
      Returns:
        skippable

    - #### getFormName

          String getFormName()

      Returns the user task definition form name.
      Returns:
        form name

    - #### getAssociatedEntities

          Collection<String> getAssociatedEntities()

      Returns the user task definition associated entities.
      Returns:
        entities

    - #### getTaskInputMappings

          Map<String,​String> getTaskInputMappings()

      Returns the user task definition task input mappings.
      Returns:
        task input mappings

    - #### getTaskOutputMappings

          Map<String,​String> getTaskOutputMappings()

      Returns the user task definition task output mappings.
      Returns:
        task output mappings